/*
 * Copyright IBM Corp. and others 1991
 *
 * This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License 2.0 which accompanies this
 * distribution and is available at https://www.eclipse.org/legal/epl-2.0/
 * or the Apache License, Version 2.0 which accompanies this distribution
 * and is available at https://www.apache.org/licenses/LICENSE-2.0.
 *
 * This Source Code may also be made available under the following
 * Secondary Licenses when the conditions for such availability set
 * forth in the Eclipse Public License, v. 2.0 are satisfied: GNU
 * General Public License, version 2 with the GNU Classpath
 * Exception [1] and GNU General Public License, version 2 with the
 * OpenJDK Assembly Exception [2].
 *
 * [1] https://www.gnu.org/software/classpath/license.html
 * [2] https://openjdk.org/legal/assembly-exception.html
 *
 * SPDX-License-Identifier: EPL-2.0 OR Apache-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0 OR GPL-2.0-only WITH OpenJDK-assembly-exception-1.0
 */
package com.ibm.j9ddr.vm29.structure;

/**
 * Structure: re_pattern_buffer
 *
 * This stub class represents a class that can return in memory offsets
 * to VM C and C++ structures.
 *
 * This particular implementation exists only to allow StructurePointer code to
 * compile at development time.  This is never loaded at run time.
 *
 * At runtime generated byte codes returning actual offset values from the core file
 * will be loaded by the StructureClassLoader.
 */
public final class re_pattern_buffer {

	// VM Constants

	public static final long SIZEOF;

	// Offsets

	public static final int ___allocatedOffset_;
	public static final int ___bufferOffset_;
	public static final int ___can_be_null_s_;
	public static final int ___can_be_null_b_;
	public static final int ___fastmapOffset_;
	public static final int ___fastmap_accurate_s_;
	public static final int ___fastmap_accurate_b_;
	public static final int ___newline_anchor_s_;
	public static final int ___newline_anchor_b_;
	public static final int ___no_sub_s_;
	public static final int ___no_sub_b_;
	public static final int ___not_bol_s_;
	public static final int ___not_bol_b_;
	public static final int ___not_eol_s_;
	public static final int ___not_eol_b_;
	public static final int ___regs_allocated_s_;
	public static final int ___regs_allocated_b_;
	public static final int ___syntaxOffset_;
	public static final int ___translateOffset_;
	public static final int ___usedOffset_;
	public static final int _re_nsubOffset_;

	// Static Initializer

	private static final boolean RUNTIME = false;

	static {
		if (!RUNTIME) {
			throw new IllegalArgumentException("This stub class should not be on your classpath");
		}

		SIZEOF = 0;
		___allocatedOffset_ = 0;
		___bufferOffset_ = 0;
		___can_be_null_s_ = 0;
		___can_be_null_b_ = 0;
		___fastmapOffset_ = 0;
		___fastmap_accurate_s_ = 0;
		___fastmap_accurate_b_ = 0;
		___newline_anchor_s_ = 0;
		___newline_anchor_b_ = 0;
		___no_sub_s_ = 0;
		___no_sub_b_ = 0;
		___not_bol_s_ = 0;
		___not_bol_b_ = 0;
		___not_eol_s_ = 0;
		___not_eol_b_ = 0;
		___regs_allocated_s_ = 0;
		___regs_allocated_b_ = 0;
		___syntaxOffset_ = 0;
		___translateOffset_ = 0;
		___usedOffset_ = 0;
		_re_nsubOffset_ = 0;
	}

}
